#procedure SynchFacS(i)
****************************************************************************
**
**  Filename:
**            SynchFacS.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Synchronizes combinations of \keyword{S} and \keyword{fac}, 
**            \keyword{invfac} functions, i.e. factorials and $S$-sums. 
**            The argument specifies the associated summation index $i$.
**
**
**  Comments:
**            The variable $synfs will be 1 if anything relevant happened
**
**  Revision: 
**            $Id: SynchFacS.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: SynchFacS.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
#$synfs = 0;
repeat;
    id,once,S`i'(R(?a),X(?y),x1?,x?)*fac`i'(x2?,x?) = f1(R(?a),X(?y),x1,x2,x,x2-x1);
    if ( match(f1(?a,n?int_)) );
        id  f1(?a) = f2(?a);
    else;
        id  f1(R(?a),X(?y),x1?,x2?,x?,x3?) = S`i'(R(?a),X(?y),x1,x)*f3(x2,x);
    endif;
endrepeat;
id  f3(?a) = fac`i'(?a);
repeat;
    id,once,S`i'(R(?a),X(?y),x1?,x?)*invfac`i'(x2?,x?) = f1(R(?a),X(?y),x1,x2,x,x2-x1);
    if ( match(f1(?a,n?int_)) );
        id  f1(?a) = f4(?a);
    else;
        id  f1(R(?a),X(?y),x1?,x2?,x?,x3?) = S`i'(R(?a),X(?y),x1,x)*f3(x2,x);
    endif;
endrepeat;
id  f3(?a) = invfac`i'(?a);
id  f2(R(?a),X(?y),x1?,x2?,x?,0) = S`i'(R(?a),X(?y),x1,x)*fac`i'(x2,x);
id  f4(R(?a),X(?y),x1?,x2?,x?,0) = S`i'(R(?a),X(?y),x1,x)*invfac`i'(x2,x);
if ( count(f2,1,f4,1) ) $synfs = 1;
repeat;
    id  f4(R(n1?,?a),X(y1?,?y),x1?,x2?,x?,n?neg_) = f4(R(n1,?a),X(y1,?y),x1-1,x2,x,n+1)
            +S`i'(R(?a),X(?y),x1,x)*invfac`i'(x2,x)*den`i'(x1,x)^(n1)*pow`i'(y1,n1);
endrepeat;
repeat;
    id  f4(R(n1?,?a),X(y1?,?y),x1?,x2?,x?,n?pos_) = f4(R(n1,?a),X(y1,?y),x1+1,x2,x,n-1)
            -S`i'(R(?a),X(?y),x1+1,x)*invfac`i'(x2,x)*den`i'(x1+1,x)^(n1)*pow`i'(y1,n1);

endrepeat;
id  f4(R(?a),X(?y),x1?,x2?,x?,0) = S`i'(R(?a),X(?y),x1,x)*invfac`i'(x2,x)*theta_(x1+x-1);
repeat;
    id  f2(R(n1?,?a),X(y1?,?y),x1?,x2?,x?,n?neg_) = f2(R(n1,?a),X(y1,?y),x1-1,x2,x,n+1)
            +S`i'(R(?a),X(?y),x1,x)*fac`i'(x2,x)*den`i'(x1,x)^(n1)*pow`i'(y1,n1);
endrepeat;
repeat;
    id  f2(R(n1?,?a),X(y1?,?y),x1?,x2?,x?,n?pos_) = f2(R(n1,?a),X(y1,?y),x1+1,x2,x,n-1)
            -S`i'(R(?a),X(?y),x1+1,x)*fac`i'(x2,x)*den`i'(x1+1,x)^(n1)*pow`i'(y1,n1);
endrepeat;
id  f2(R(?a),X(?y),x1?,x2?,x?,0) = S`i'(R(?a),X(?y),x1,x)*fac`i'(x2,x)*theta_(x1+x-1);
id  S`i'(R,X,n?,j`i') = 1;
*
#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
