#procedure SynchNumFac(i)
****************************************************************************
**
**  Filename:
**            SynchNumFac.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Synchronizes combinations of (positive) powers of $j_i$ and 
**            \keyword{fac}, \keyword{invfac} functions.
**            The argument specifies the associated summation index $i$.
**
**  Comments:
**            Note: If there is a ji there is no den which ji can synchronize.
**
**  Revision: 
**            $Id: SynchNumFac.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: SynchNumFac.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
while ( count(j`i',1) > 0 );
  if( (count(j`i',1) > 0) &&  (count(invfac`i',1) > 0) );
    id sum`i'(j`i',x1?,x2?)*invfac`i'(x3?,j`i') = X(x1+x3)*
		sum`i'(j`i',x1,x2)*invfac`i'(x3,j`i');
    if ( match(X(x3?neg0_)) );
	id X(x3?neg0_)*sum`i'(j`i',x1?,x2?) = 
		X(1)*theta_(x2-x1+x3-1)*sum`i'(j`i',x1-x3+1,x2) 
			+ theta_(x2-x1+x3)*sum_(jjj,x1,x1-x3,su(jjj));
    endif;
    id X(x1?pos_)*j`i'*invfac`i'(n?,j`i') = 
	invfac`i'(n-1,j`i')-n*invfac`i'(n,j`i');
    if ( count(su,1) > 0 );
        id      su(n?) = replace_(j`i',n);
        id      S`i'(R(?a),X(?x),x1?,x2?) = S(R(?a),X(?x),x1+x2);
        id      den`i'(x1?,x2?) = den(x1+x2);
        id      fac`i'(x1?,x2?) = fac(x1+x2);
        id      invfac`i'(x1?,x2?) = invfac(x1+x2);
        id      sign`i'(x?) = sign_(x);
        id      fac(x?int_) = fac_(x);
        id      invfac(x?int_) = invfac_(x);
        id      den(x?pos_) = 1/x;
        id      den(x?neg_) = 1/x;
        #call SubsS(1)
    endif;
  endif;
*
* if we get stuck, we break up the while-loop here
*
  if( (count(j`i',1) > 0) &&  (count(invfac`i',1) = 0) ); 
    id j`i'^n? = pow(j`i',n);
  endif;
endwhile;
*
* restore the j`i' 
*
  id pow(j`i',n?) = j`i'^n;

#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
