#procedure SynchSS(i)
****************************************************************************
**
**  Filename:
**            SynchSS.prc
**
**  Authors: 
**            Sven O. Moch and Peter Uwer
**
**  Purpose: 
**            Synchronizes products of $S$-sums.
**            The argument specifies the associated summation index $i$.
**
**  Comments:
**            This procedure is a modified version of a similiar procedure 
**            in the Summer package written by J.A.M. Vermaseren.
**
**  Revision: 
**            $Id: SynchSS.prc,v 1.0 2005/08/02 10:09:54 puwer Exp $
**
**            $Log: SynchSS.prc,v $
**            Revision 1.0  2005/08/02 10:09:54  puwer
**            Initial revision
**
**
****************************************************************************
*
repeat;
    id,once,S`i'(x1?,x2?,x3?,x4?) = f1(x1,x2,x3,x4);
    repeat;
        id,f1(x6?,x1?,x2?,x3?)*S`i'(x7?,x4?,x5?,x3?) = f2(x6,x1,x2,x7,x4,x5,x3,x2-x5);
        if ( match(f2(?a,x?int_)) );
            repeat;
                id  f2(R(n1?,?a),X(y1?,?y),x2?,R(n2?,?b),X(y2?,?z),x5?,x3?,x6?pos_) =
                    +f2(R(n1,?a),X(y1,?y),x2,R(n2,?b),X(y2,?z),x5+1,x3,x6-1)
                    -f2(R(n1,?a),X(y1,?y),x2,R(?b),X(?z),x5+1,x3,x6-1)
                        *den`i'(x5+1,x3)^n2*pow`i'(y2,j`i'+x5+1);
            endrepeat;
            repeat;
                id  f2(R(n1?,?a),X(y1?,?y),x2?,R(n2?,?b),X(y2?,?z),x5?,x3?,x6?neg_) =
                    +f2(R(n1,?a),X(y1,?y),x2+1,R(n2,?b),X(y2,?z),x5,x3,x6+1)
                    -f2(R(?a),X(?y),x2+1,R(n2,?b),X(y2,?z),x5,x3,x6+1)
                        *den`i'(x2+1,x3)^n1*pow`i'(y1,j`i'+x2+1);
            endrepeat;
            id  f2(x7?,x1?,x2?,x8?,x4?,x5?,x3?,n?) =
                    S`i'(x7,x1,x2,x3)*S`i'(x8,x4,x5,x3);
            id  S`i'(R,X,x1?,x2?) = 1;

	    id  S`i'(R(?a),X(?b),x1?,x2?) = S`i'(R(?a),X(?b),x1+x2);
            #call BasisS(`i')
	    Splitarg,((j`i')),S`i';
	    id S`i'(R(?a),X(?b),j`i') 	= S`i'(R(?a),X(?b),0,j`i');
	    id S`i'(R(?a),X(?b),-j`i') 	= S`i'(R(?a),X(?b),0,-j`i');

        else;
            id  f2(x7?,x1?,x2?,x8?,x4?,x5?,x3?,x6?) = f1(x7,x1,x2,x3)*f3(x8,x4,x5,x3);
        endif;
    endrepeat;
    id  f3(x8?,x4?,x5?,x3?) = S`i'(x8,x4,x5,x3);
    id  f1(?a) = f4(?a);
endrepeat;
id  f4(?a) = S`i'(?a);
id  S`i'(R,X,n?,j`i') = 1;
*
#endprocedure
*************************************************************************
* Local variables:
* modify-insert-tag: nil
* comment-start: "*"
* tab-width: 2
* End:
*************************************************************************
